New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Update to latest JOSM #28

Closed
don-vip opened this Issue Dec 1, 2017 · 5 comments

Comments

Projects
None yet
2 participants
@don-vip

don-vip commented Dec 1, 2017

We have removed a lot of deprecated API as advertised on the mailing list, see https://josm.openstreetmap.de/ticket/15310

As a result this plugin is no longer compatible, can you please update it?

Thanks.

@maripo

This comment has been minimized.

Show comment
Hide comment
@maripo

maripo Dec 1, 2017

Owner

Sorry, the version tag in build.xml was wrong (because I copied it from previously developed plugin). It is compatible with current stable version, v13170.
I haven't tested it with dev versions. I'll support the latest dev version by the time it's released for common users.

Owner

maripo commented Dec 1, 2017

Sorry, the version tag in build.xml was wrong (because I copied it from previously developed plugin). It is compatible with current stable version, v13170.
I haven't tested it with dev versions. I'll support the latest dev version by the time it's released for common users.

@maripo maripo self-assigned this Dec 1, 2017

@don-vip

This comment has been minimized.

Show comment
Hide comment
@don-vip

don-vip Dec 1, 2017

This is not how JOSM works. Nightly versions are used everyday by hundreds of users and you must be compatible, please don't wait for the stable version to be released. That's exactly why there is the Main-Version attribute in manifest, so that you can publish a version requiring a recent JOSM version without disturbing users still using the stable version. Concerning plugin updates, it's the other way around: by the end of the month, I will remove from our default list the rare plugins (if any) still not compatible with latest version. You can check your compatibility status by looking at our Jenkins job . It is run every 6 hours and currently lists 4 plugins.

don-vip commented Dec 1, 2017

This is not how JOSM works. Nightly versions are used everyday by hundreds of users and you must be compatible, please don't wait for the stable version to be released. That's exactly why there is the Main-Version attribute in manifest, so that you can publish a version requiring a recent JOSM version without disturbing users still using the stable version. Concerning plugin updates, it's the other way around: by the end of the month, I will remove from our default list the rare plugins (if any) still not compatible with latest version. You can check your compatibility status by looking at our Jenkins job . It is run every 6 hours and currently lists 4 plugins.

@maripo

This comment has been minimized.

Show comment
Hide comment
@maripo

maripo Dec 2, 2017

Owner

OK, I understand.

Owner

maripo commented Dec 2, 2017

OK, I understand.

@maripo

This comment has been minimized.

Show comment
Hide comment
@maripo

maripo Dec 2, 2017

Owner

I replaced deprecated classes and methods with new ones and confirmed that compatibility errors occur in build 13180.
https://josm.openstreetmap.de/jenkins/job/JOSM-Integration/911/warnings3Result/

Owner

maripo commented Dec 2, 2017

I replaced deprecated classes and methods with new ones and confirmed that compatibility errors occur in build 13180.
https://josm.openstreetmap.de/jenkins/job/JOSM-Integration/911/warnings3Result/

@don-vip

This comment has been minimized.

Show comment
Hide comment
@don-vip

don-vip Dec 3, 2017

Issues are gone now, thanks a lot!

don-vip commented Dec 3, 2017

Issues are gone now, thanks a lot!

@don-vip don-vip closed this Dec 3, 2017

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment